actions = {
    'infobeamer-cms_set_directory_permissions': {
        'triggered': True,
        'command': 'chown -R infobeamer-cms:infobeamer-cms /opt/infobeamer-cms/static/'
    },
}

git_deploy = {
    '/opt/infobeamer-cms': {
        'rev': 'master',
        'repo': 'https://github.com/sophieschi/36c3-cms.git',
        'needs': {
            'directory:/opt/infobeamer-cms',
        },
        'triggers': {
            'svc_systemd:infobeamer-cms:restart',
            'action:infobeamer-cms_set_directory_permissions',
        },
    },
}

directories = {
    '/opt/infobeamer-cms': {},
}

files = {
    '/opt/infobeamer-cms/settings.cfg': {
        'content_type': 'mako',
        'context': node.metadata.get('infobeamer-cms/config'),
        'needs': {
            'git_deploy:/opt/infobeamer-cms',
        },
        'triggers': {
            'svc_systemd:infobeamer-cms:restart',
        },
    },
    '/etc/systemd/system/infobeamer-cms.service': {
        'content_type': 'mako',
        'context': node.metadata.get('infobeamer-cms/config'),
        'triggers': {
            'action:systemd-reload',
            'svc_systemd:infobeamer-cms:restart',
        },
    },
    '/etc/systemd/system/infobeamer-cms-runperiodic.timer': {
        'triggers': {
            'action:systemd-reload',
            'svc_systemd:infobeamer-cms-runperiodic.timer:restart',
        },
    },
    '/etc/systemd/system/infobeamer-cms-runperiodic.service': {
        'triggers': {
            'action:systemd-reload',
        },
    },
}

pkg_pip = {
    'github-flask': {
        'needed_by': {
            'git_deploy:/opt/infobeamer-cms',
        },
    },
}

svc_systemd = {
    'infobeamer-cms': {
        'needs': {
            'file:/opt/infobeamer-cms/settings.cfg',
            'file:/etc/systemd/system/infobeamer-cms.service',
            'git_deploy:/opt/infobeamer-cms',
        },
    },
    'infobeamer-cms-runperiodic.timer': {
        'needs': {
            'file:/etc/systemd/system/infobeamer-cms-runperiodic.timer',
            'file:/etc/systemd/system/infobeamer-cms-runperiodic.service',
        },
    },
}

users = {
    'infobeamer-cms': {
        'home': '/opt/infobeamer-cms',
    },
}
